#include "viewer.h"
#include "argstream.h"
#include <iostream>
#include <qapplication.h>

using namespace std;

int
main(int argc, char *argv[])
{
  QApplication application(argc,argv);
  ////////////////////////////////////////////////////////////////////////
  // Parse the command line to get parameters such as file name, grid
  // resolution, etc
  ////////////////////////////////////////////////////////////////////////
  string fileName;
  argstream as(argc,argv);
  as>>values<string>(&fileName,"The file to load",1)
    >>help();
  as.defaultErrorHandling();
  ////////////////////////////////////////////////////////////////////////
  // Construct the widget to show the model
  ////////////////////////////////////////////////////////////////////////
  Viewer viewer(NULL,"viewer");
  viewer.loadModel(fileName.c_str());
  application.setMainWidget(&viewer);
  viewer.show();

  return application.exec();
}
